<?php
/**
 * MagePrince
 * Copyright (C) 2020 Mageprince <info@mageprince.com>
 *
 * @package Mageprince_BuyNow
 * @copyright Copyright (c) 2020 Mageprince (http://www.mageprince.com/)
 * @license http://opensource.org/licenses/gpl-3.0.html GNU General Public License,version 3 (GPL-3.0)
 * @author MagePrince <info@mageprince.com>
 */
?>
<?php
/** @var \Mageprince\BuyNow\Block\Product\ListProduct $block */
$product = $block->getProduct();
?>
<?php $helper = $this->helper(\Mageprince\BuyNow\Helper\Data::class); ?>
<?php $buttonTitle = $helper->getButtonTitle() ?>
<?php if ($product->isSaleable()): ?>
    <?php $postParams = $block->getAddToCartPostParams($product); ?>
    <div class="buynow-btn">
        <form action="<?= $block->escapeUrl($postParams['action']); ?>"
              id="product_addtocart_form_<?= /* @noEscape */ $postParams['data']['product']; ?>"
              method="post">
            <input type="hidden"
                   name="product"
                   value="<?= /* @noEscape */ $postParams['data']['product']; ?>">
            <input type="hidden"
                   name="uenc"
                   value="<?= /* @noEscape */ $postParams['data']['uenc']; ?>">
            <?= $block->getBlockHtml('formkey') ?>
            <button type="submit"
                    title="<?= $block->escapeHtml(__($buttonTitle)) ?>"
                    class="action tocart buynow primary cta-btn"
                    data-mage-init='
                    {
                        "Mageprince_BuyNow/js/buy-now": {
                            "form": "#product_addtocart_form_<?= $block->escapeHtml($postParams['data']['product']) ?>"
                        }
                    }
                '>
                <span><?= $block->escapeHtml(__($buttonTitle)) ?></span>
            </button>
        </form>
    </div>
<?php endif; ?>
